# class RSS::Rss::Channel::Image

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/0.9.rb, line 229
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.url = args[0]
        self.title = args[1]
        self.link = args[2]
        self.width = args[3]
        self.height = args[4]
        self.description = args[5]
      end
    end

### Private Instance Methods

maker_target(maker) click to toggle source

    # File lib/rss/0.9.rb, line 244
    def maker_target(maker)
      maker.image
    end